View Javadoc

    1   /*
    2    * Licensed to the Apache Software Foundation (ASF) under one or more
    3    * contributor license agreements.  See the NOTICE file distributed with
    4    * this work for additional information regarding copyright ownership.
    5    * The ASF licenses this file to You under the Apache License, Version 2.0
    6    * (the "License"); you may not use this file except in compliance with
    7    * the License.  You may obtain a copy of the License at
    8    *
    9    *      http://www.apache.org/licenses/LICENSE-2.0
    10   *
    11   * Unless required by applicable law or agreed to in writing, software
    12   * distributed under the License is distributed on an "AS IS" BASIS,
    13   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    14   * See the License for the specific language governing permissions and
    15   * limitations under the License.
    16   */
    17
    18  package org.apache.log4j.pattern;
    19
    20  /**
    21   * The class implements the pre log4j 1.3 org.apache.log4j.helpers.PatternConverter
    22   * contract by delegating to the log4j 1.3 pattern implementation.
    23   *
    24   *
    25   * @author Curt Arnold
    26   *
    27   */
    28  public final class BridgePatternParser
    29    extends org.apache.log4j.helpers.PatternParser {
    30
    31
    32    /**
    33     * Create a new instance.
    34     * @param conversionPattern pattern, may not be null.
    35     */
    36    public BridgePatternParser(
    37      final String conversionPattern) {
    38      super(conversionPattern);
    39    }
    40
    41    /**
    42     * Create new pattern converter.
    43     * @return pattern converter.
    44     */
    45    public org.apache.log4j.helpers.PatternConverter parse() {
    46      return new BridgePatternConverter(pattern);
    47    }
    48  }